Skip to content

Validate Agent

POST
/api/agents/validate
curl --request POST \
--url https://example.com/api/agents/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "agent_id": "example" }'

Dispatch agent validation workflow. Returns run_id for polling.

Media typeapplication/json
AgentValidationRequest
object
agent_id
required
Agent Id

Canonical web.agents.id UUID. Runtime aliases are derived after loading the web row.

string
Examplegenerated
{
"agent_id": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}